# nodehandler-base64

## About

This module installs the Base64 flow-node to be used within [Axway API Builder's](https://www.axway.com/en/datasheet/axway-api-builder)
flow editor. The flow-node provides two methods:


### Encode
The Encode method base64 encodes the JavaScript value.

| Param | Type | Required | Description |
| --- | --- | --- | --- |
| data | number/boolean/string/object | y | The data to encode. |


### Decode
The Decode method base64 decodes an encoded string.

| Param | Type | Required | Description |
| --- | --- | --- | --- |
| data | number/boolean/string/object | y | The data to decode. |
| as | buffer\|object\|string | n | Expected decoded data format. Default: buffer |

## Getting started

1. Go to [platform.axway.com](https://platform.axway.com) and create an account
1. Install [API Builder](https://docs.axway.com/bundle/API_Builder_allOS_en/page/api_builder.html)
1. Follow the [Getting Started Guide](https://docs.axway.com/bundle/API_Builder_allOS_en/page/api_builder_getting_started_guide.html)

## Install

After creating your API Builder project (`appc new -t arrow`), you can install this flow-node handler
using npm:

```
npm install --save nodehandler-base64
```

The "Base64" flow-node will then be available in the tools panel when creating or editing Flows.
