'use strict';

/**
 * Base64 encodes data.
 * @param {object} req - node request
 * @param {function} cb - default callback
 * @param {function} cb.encoded - callback for 'encoded' output
 * @returns {null}
 */
exports = module.exports = function (req, cb) {
	var data = req.params.data;
	if (data === null || data === undefined) {
		return cb('invalid argument');
	}
	var sdata = void 0;
	if (typeof data === 'string') {
		sdata = data;
	} else {
		sdata = JSON.stringify(data);
	}
	cb.encoded(null, Buffer.from(sdata).toString('base64'));
};